| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/sparse3d.h File Reference

3D sparse matrix More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csSparse3D
| General 3D sparse matrix class. More...
class | csWideSparse3D
| This implementation of csSparse3D is very suited where the accesses will be very widely spaced (for example: one element at (-1000,0,0) and one at (1000,0,0)). More...

## Detailed Description

3D sparse matrix

Definition in file sparse3d.h.